TMPFS(5)

NAME
tmpfs - efficient memory file system

SYNOPSIS
To compile this driver into the kernel, place the following line in your kernel configuration file:

options TMPFS

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    tmpfs_load="YES"

DESCRIPTION
The tmpfs driver will permit the FreeBSD kernel to access tmpfs file systems.

OPTIONS
The following options are available when mounting tmpfs file systems:

gid Specifies the group ID of the root inode of the file system. Defaults to the mount point's GID.

uid Specifies the user ID of the root inode of the file system. Defaults to the mount point's UID.

mode
    Specifies the mode (in octal notation) of the root inode of the file system. Defaults to the mount point's mode.

inodes
    Specifies the maximum number of nodes available to the file system. If not specified, the file system chooses a reasonable maximum based on the file system size, which can be limited with the size option.

size
    Specifies the total file system size in bytes. If zero (the default) or a value larger than SIZE_MAX - PAGE_SIZE is given, the available amount of memory (including main memory and swap space) will be used.

maxfilesize
    Specifies the maximum file size in bytes. Defaults to the maximum possible value.

EXAMPLES
To mount a tmpfs memory file system:

    mount -t tmpfs tmpfs /tmp

SEE ALSO
nmount(2), unmount(2), fstab(5), mdmfs(8), mount(8)

HISTORY
The tmpfs driver first appeared in FreeBSD 7.0.

AUTHORS
-nosplit The tmpfs kernel implementation was written by Julio M. Merino Vidal <jmmv@NetBSD.org> as a Google SoC project.

Rohit Jalan and others ported it from NetBSD to FreeBSD.

This manual page was written by Xin LI <delphij@FreeBSD.org>.

BUGS
Some file system mount time options may not be well-supported.